<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">WiFi Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classWiFi.html">WiFi</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a>(const std::string &amp;ip)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>addDNSServer</b>(const char *ip) (defined in <a class="el" href="classWiFi.html">WiFi</a>)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addDNSServer</b>(ip_addr_t ip) (defined in <a class="el" href="classWiFi.html">WiFi</a>)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a6b11726f65299092288f68f129929303">connectAP</a>(const std::string &amp;ssid, const std::string &amp;password, bool waitForConnection=true, wifi_mode_t mode=WIFI_MODE_STA)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#aa06d7cb11e23c95b873b37b37e1c7d27">dump</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#af77c417d0a5a3285c8cedf1d7cc9ea23">getApGateway</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#aff9498a1f42011f3d38876444a153963">getApIp</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#aa158786a3a91c13956be956e7d094622">getApIpInfo</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a6b4031d4fa81fe133c7a6390669aa851">getApMac</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a7ba16ba35e5543c23db71dd9e054f555">getApNetmask</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#abe209be37e5626ace49f182c57f96747">getApSSID</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a0ce7f33b938cfeb19a1f36a3080b602b">getHostByName</a>(const std::string &amp;hostName)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getHostByName</b>(const char *hostName) (defined in <a class="el" href="classWiFi.html">WiFi</a>)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#abe399adb8a5d43f6affff8ceb78fc3fc">getMode</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a6e72ca5bdf809465049966ef99bef570">getStaGateway</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a68cb65b5b2ce951ae7cc348d977ee78e">getStaIp</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a2aa9896c734e6e2e920d3216f175c596">getStaIpInfo</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a08647c8bdbb4d8612abb2a4daf5dbdb1">getStaMac</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a30e6d1c318cad75f44822fce97ded972">getStaNetmask</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a888168c815c5363e79b2896b3790df25">getStaSSID</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a8b9634fee0d3c7d27a77ca35823a1f86">isConnectedToAP</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a97592a3ac47f6f301a2417385c4e8ea2">scan</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a>(int numdns, const std::string &amp;ip)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>setDNSServer</b>(int numdns, const char *ip) (defined in <a class="el" href="classWiFi.html">WiFi</a>)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setDNSServer</b>(int numdns, ip_addr_t ip) (defined in <a class="el" href="classWiFi.html">WiFi</a>)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">setIPInfo</a>(const std::string &amp;ip, const std::string &amp;gw, const std::string &amp;netmask)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setIPInfo</b>(const char *ip, const char *gw, const char *netmask) (defined in <a class="el" href="classWiFi.html">WiFi</a>)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#ac791bd68948ead18bc9775fc936e0938">setIPInfo</a>(uint32_t ip, uint32_t gw, uint32_t netmask)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#abf6df73f23fed380a5109a29def8d08f">setWifiEventHandler</a>(WiFiEventHandler *wifiEventHandler)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#ae5d8dc106189ee9a4cf332e4363fac58">startAP</a>(const std::string &amp;ssid, const std::string &amp;passwd, wifi_auth_mode_t auth=WIFI_AUTH_OPEN)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#afe587b246a0a1a4024877bebd1dd3453">startAP</a>(const std::string &amp;ssid, const std::string &amp;passwd, wifi_auth_mode_t auth, uint8_t channel, bool ssid_hidden, uint8_t max_connection)</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classWiFi.html#a35af2c72328c41e79e7aef97b6a64fba">WiFi</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classWiFi.html#aa70d86d4709954beb1f79e73715dfd5b">~WiFi</a>()</td><td class="entry"><a class="el" href="classWiFi.html">WiFi</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
